﻿<!-- templates/home.html -->

<DOCTYPE html>
    <html lang="zh-han">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="shortcut icon" href="{{ url_for('static',filename='img/favicon.png') }}" type="image/x-icon">
        <!-- <link href="css/style.css" rel="stylesheet"> -->
        <title>认证审核</title>
        <!-- Fonts -->
	<link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/Lato/Lato.css') }}">

	<!-- Icons -->
	<link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/flaticon/flaticon.css') }}">
	<link rel="stylesheet"
		href="{{ url_for('static',filename='assets/fonts/webfont/css/materialdesignicons.min.css') }}">

	<!-- Libs -->
	<link rel="stylesheet" href="{{ url_for('static',filename='libs/bootstrap-4.3.1/css/bootstrap.min.css') }}">
	<link rel="stylesheet" href="{{ url_for('static',filename='libs/select2/css/select2.min.css') }}">
	<link rel="stylesheet" href="{{ url_for('static',filename='libs/slick/slick.css') }}">

	<!-- Theme -->
	<link rel="stylesheet" href="{{ url_for('static',filename='assets/css/style.css') }}">
	<meta name="theme-color" content="#ECECEC">
	<style>
		.procDisplay {
			width: inherit;
			height: 380px;
			display: flex;
			align-items: center;
			justify-content: center;
			/*为了效果明显，可以将如下边框打开，看一下效果*/
			/* border:1px solid black; */
		}

		.procDisplay img {
			max-width: 100%;
			max-height: 100%;
		}

		li{
			list-style-type: none;
		}
	</style>
    </head>

    <body class="home">
        <div class="head-line"></div>

		{% for message in get_flashed_messages(with_categories=True) %}
		<div class="alert alert-{{ message[0] }}">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<strong>{{ message[1] }}</strong>
		</div>
		{% endfor %}

        <div class="page-wrap">
		<div class="page-content">
			<main class="main-content">


				<section class="section-featured-products">
					<div class="container">
						<div class="section-title text-center">
							{% if users %}
							<h2 class="h3 section-title__heading">您要审核的用户如下</h2>
							{% else %}
							<h2 class="h3 section-title__heading">您暂时没有要审核的用户</h2>
							{% endif %}
						</div>
                                                <center>
                                                {% for user in users %}
                                                {% if user.update_identity %}
                                                        <br>
							<li class="product">	
							<br>
                                                 <div class="product-title">
                                                 用户名：{{ user.username }} 
                                                 </div>
                                                 <br>

                                                 <div class="procDisplay">
                                                 <img src="{{ url_for('static',filename=user.identity) }}" alt="未上传">
                                                 </div>

                                                 <center><form method="post" action='/admin/examine/{{user.username}}'>
                                                         <label>不通过原因：<input type="reason" name="reason1" value="" maxlength="400"></label><br>
                                                         <input type="radio" name="pass" value="yes" checked="true">通过
                                                         <input type="radio" name="pass" value="no" >不通过<br>
                                                         <button type="submit" onclick="return CheckReasonExist()" class="btn btn-primary mr-1 mb-3">确定</button>
                                                 </form></center>
                                                
                                                {% endif %}
 
                                                {% endfor %}
</center>
<li class="nav-item">
                                                <center><a class="btn btn-primary mr-1 mb-3"
                                                     href="{{ url_for('user.panel') }}">返回</a></center>
</li>
                                           </li>
                                   </section>
</main> <!-- end of main -->
</div>
</div>

	<footer class="page-footer">
		<div class="container">


			<div class="footer-bottom">
				<div class="copyright">Copyright &copy; 2020.Adventure of Bug Coders All rights reserved.<a
						target="_blank" href=""></a></div>
				<ul class="footer-bottom__menu">
					<li>Privacy Policy</li>
					<li>Terms of use</li>
				</ul>
			</div>
		</div>
	</footer>

	<div class="full-search-wrap">
		<div class="full-search container">
			<div class="close-s float-right js-close-search flaticon-cancel-button fi-2x"></div>
			<form action="/getsearch" class=" search-full-form" method=post>
				<div class="position-relative">
					<i class="search-icon flaticon-magnifying-glass-browser fi-2x"></i>
					<input type="text" id="s-full" class="search-full-form__input" placeholder="Search" name="keyword" maxlength="80">
					<input type="submit" class="d-none">
				</div>
				<p class="hint">Type in your search and press enter</p>
			</form>
		</div>
	</div>

	<div id="js-back-to-top" class="back-to-top"><i class="flaticon-up-arrow-sign"></i> Page top</div>

	<script>
		function CheckReasonExist()
		{
			pass=document.getElementsByName('pass');
			reason=document.getElementsByName('reason1');
			if(pass[1].checked==true&&reason[0].value=="")
			{
				alert("请填写不通过理由！");
				return false;
			}
			return true;
		}
	</script>

	<!-- Libs -->
	<script src="{{ url_for('static',filename='libs/jquery-2.2.3.min.js') }}"></script>
	<script src="{{ url_for('static',filename='libs/bootstrap-4.3.1/js/bootstrap.min.js') }}"></script>
	<script src="{{ url_for('static',filename='libs/select2/js/select2.min.js') }}"></script>
	<script src="{{ url_for('static',filename='libs/slick/slick.min.js') }}"></script>

	<!-- Theme -->
	<script src="{{ url_for('static',filename='assets/js/custom.js') }}"></script>
    </body>

    </html>